Bug 488046 - fails with python 2.6 and onwards
fails with python 2.6 and onwards
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnuradio (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-02 05:50 EST by Chitlesh GOORAH
Modified: 2009-08-04 20:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.2.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-04 20:40:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2009-03-02 05:50:48 EST
Description of problem:
gnuradio fails with python 2.6 and onwards

You can follow the discussion here and verify if upstream has a fix already.
http://www.mail-archive.com/discuss-gnuradio@gnu.org/msg16685.html

I'm planning to put gnuradio on FEL LiveDVD. So I wish to have a fix as soon as possible so that I can update the FEL brochure and papers in time for beta release

Version-Release number of selected component (if applicable):
gnuradio-3.1.3-3.fc11.i386

How reproducible:
always

Steps to Reproduce:
[chitlesh@localhost ~]$ cd /usr/share/gnuradio/examples/usrp
[chitlesh@localhost usrp]$ python max_power.py

  
Actual results:
 
Exception RuntimeError: 'maximum recursion depth exceeded in __subclasscheck__' in <type 'exceptions.AttributeError'> ignored
Press Enter to quit: 

Expected results:
It should work

Additional info:
Comment 1 Marek Mahut 2009-03-05 09:28:28 EST
Chitlesh, I'm still waiting on upstream for ETA of this fix.
Comment 2 Chitlesh GOORAH 2009-06-04 04:33:15 EDT
Was there some improvements in that perspective yet ?
Comment 3 Bug Zapper 2009-06-09 07:46:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Marek Mahut 2009-07-21 05:58:26 EDT
Upsteam is still working on getting it ready for python 2.6, I'll let you know as soon as it changes.
Comment 5 Fedora Update System 2009-07-27 11:29:18 EDT
gnuradio-3.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnuradio-3.2-1.fc11
Comment 6 Fedora Update System 2009-07-28 14:22:45 EDT
gnuradio-3.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnuradio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8055
Comment 7 Chitlesh GOORAH 2009-07-28 15:27:01 EDT
Upstream points to a bug fix release:
http://gnuradio.org/trac

# July 14, 2009 - GNU Radio 3.2.2 Release:
This is an important bug fix release. Please refer to release log for details. To install this version, please refer to the Build Guide.
Comment 8 Fedora Update System 2009-07-29 07:54:07 EDT
gnuradio-3.2.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnuradio-3.2.2-1.fc11
Comment 9 Fedora Update System 2009-07-29 17:32:23 EDT
gnuradio-3.2.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnuradio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8102
Comment 10 Fedora Update System 2009-08-04 20:40:02 EDT
gnuradio-3.2.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.